---
layout: project
menu_title: FormalCAD
title: "FormalCAD: Formal Methods and Semantic Technologies for Engineering Design
Processes"
teaser: Towards a computer-supported, document-oriented process for systematic engineering design and a semantic help system for CAD systems.
pillar: KMR
start: 2012-04
end: 2015-02
people: mkohlhase,akohlhase,cjucovschi
funding: DFG
program: Normalverfahren
grantid: KO 2428/12-1
collaborators: Lutz Schröder, FAU Erlangen.
---

Systematic engineering design processes follow a series of standardized development stages that have many aspects in common with software engineering. In this analogy, CAD/CAM objects replace program code as the implementation stage of the development; however, other recognized development stages such as requirements or principle solutions are currently left largely informal and in fact are typically not laid down in machine-processable form at all. We propose to draw on the mentioned analogy and transfer methods from software engineering to engineering design in order to capture the full engineering design process formally and thus enhance in particular their reliability and reusability. We envision a document-oriented design process that integrates all stages of the development process from requirement specifications to CAD/CAM documents, and moreover incorporates background knowledge such as enterprise ontologies, industrial standards, and formalized geometric principles. In the FormalCAD project, we plan to develop the information architecture for such a process and support it with a tool that interfaces a CAD system with formal specification languages, ontology reasoners, and semantic document management systems, thus allowing for a comprehensive development methodology that supports completely formalized development strands, change and life-cycle management, as well as semantically interlinked semi-formal documents for documentation and certification. FormalCAD is a joint project with Prof. 
