---
layout: project
menu_title: SiSsI
title: "SiSsI: Software Engineering for Spreadsheet Interaction"
teaser: Methods and technologies to enhance spreadsheets semantically.
pillar: KMR
start: 2011-08
end: 2013-07
funding: DFG
program: Normalverfahren
grantid: KO 2428/10-1
collaborators: Dr. Dieter Hutter, DFKI Bremen
people: mkohlhase,akohlhase,cjucovschi
---

Spreadsheets have become very popular to analyze and visualize business and science data,
so their complexity and impact increased dramatically over the years. As active documents
they are situated somewhere between software systems and documents. Nevertheless,
spreadsheets are still largely written by end users in an informal process, lacking
typically any abstract operational model, any sufficient verification or testing of their
behavior, and any appropriate user assistance for their readers. Thus, existing
spreadsheets are subject to high error rates as well as high-impact
misinterpretations. The proposed project therefore aims at the development of a
semantic-based framework to provide

 1. abstract modeling, refinement, and knowledge management techniques for spreadsheets
 2. verification and consistent evolution of spreadsheets as well as their usage as interfaces to data bases,
 3. interpretation and views for spreadsheets as document-centered user assistance.

The central claim to be tested in the SISsI project is that we can employ synergies
between software engineering and user assistance at two levels: they can share the
knowledge model, and they can share a user interface whose primary functionality is to
relate spreadsheet content with spreadsheet layout to enable innovative interactions.
